summaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorRichard Jones <rjones@redhat.com>2009-03-30 15:14:29 +0100
committerRichard Jones <rjones@redhat.com>2009-03-30 15:14:29 +0100
commit9cf3beefb865ea3e1a4bbe570d632649540788cc (patch)
tree8374a2b0efeac0c8ab1eb301ffea118e0c96f937 /examples
parent14a8be81fc7a87fcdb0dd2ba7cbe2128f01705d9 (diff)
downloadfebootstrap-9cf3beefb865ea3e1a4bbe570d632649540788cc.tar.gz
febootstrap-9cf3beefb865ea3e1a4bbe570d632649540788cc.tar.xz
febootstrap-9cf3beefb865ea3e1a4bbe570d632649540788cc.zip
Added febootstrap-run command.
Examples need more VM RAM when run in Rawhide. Also use 'set -e' in example scripts.
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/guestfs-test.sh4
-rwxr-xr-xexamples/minimal-filesystem.sh4
2 files changed, 6 insertions, 2 deletions
diff --git a/examples/guestfs-test.sh b/examples/guestfs-test.sh
index b45c1f4..f487f50 100755
--- a/examples/guestfs-test.sh
+++ b/examples/guestfs-test.sh
@@ -13,6 +13,8 @@
# This is a realistic example for 'libguestfs', which contains a
# selection of command-line tools, LVM, NTFS and an NFS server.
+set -e
+
if [ $(id -u) -eq 0 ]; then
echo "Don't run this script as root. Read instructions in script first."
exit 1
@@ -62,6 +64,6 @@ chmod +x init
# Now run qemu to boot this guestfs system.
qemu-system-$(arch) \
- -m 128 \
+ -m 256 \
-kernel vmlinuz -initrd guestfs-initrd.img \
-hda guest-image -boot c
diff --git a/examples/minimal-filesystem.sh b/examples/minimal-filesystem.sh
index 9a0f575..678d612 100755
--- a/examples/minimal-filesystem.sh
+++ b/examples/minimal-filesystem.sh
@@ -12,6 +12,8 @@
# few command line utilities. One of the joys of Fedora is that even
# this minimal install is still 200 MB ...
+set -e
+
if [ $(id -u) -eq 0 ]; then
echo "Don't run this script as root. Read instructions in script first."
exit 1
@@ -55,6 +57,6 @@ dd if=/dev/zero of=zero bs=2048 count=1
# Now run qemu to boot this minimal system.
qemu-system-$(arch) \
- -m 128 \
+ -m 256 \
-kernel vmlinuz -initrd minimal-initrd.img \
-hda zero -boot c